package org.example.data
import org.example.data.model.ShoesDTO
import org.example.domain.request.AddShoesRequest

interface ShoesRepository {
    fun addShoes(shoes: AddShoesRequest ): ShoesDTO
    fun getAllShoes(): List<ShoesDTO>
    fun removeShoesById(shoesId: Int): Boolean
}